Node.js Versions

Version Management

nodenv v1.2.0

Note: Inspecode does not support .node-version as of now, so that any .node-version files checked-in to your repository are always ignored.

Available Versions

  • 0.8.6 - 0.8.28
  • 0.9.1 - 0.9.12
  • 0.10.0 - 0.10.47
  • 0.10.48 0.10
  • 0.11.0 - 0.11.16
  • 0.12.0 - 0.12.17
  • 0.12.18 0 0.12
  • 4.0.0 - 4.9.0
  • 4.9.1 4 4.9
  • 5.0.0 - 5.11.1
  • 5.12.0 5 5.12
  • 6.0.0 - 6.16.0
  • 6.17.0 6 6.17
  • 7.0.0 - 7.10.0
  • 7.10.1 7 7.10
  • 8.0.0 - 8.15.0
  • 8.15.1 8 8.15
  • 9.0.0 - 9.11.1
  • 9.11.2 9 9.11
  • 10.0.0 - 10.15.2
  • 10.15.3 default 10 10.15
  • 11.0.0 - 11.2.0
  • 11.3.0 11 11.3

YAML Configuration

inspecode:
  experimental:
    runtime:
      nodejs: <string>

See also: Configuration > Global Configuration > [EXPERIMENTAL] Runtime versions.

NOTE: If the runtime version is not specified, Inspecode detects the appropriate version reading the "engines" fields of package.json files. Latest and LTS versions have a higher priority.

YAML Examples

  • The latest version of Node.js 8.x (8.14.0)

    inspecode:
      experimental:
        runtime:
          nodejs: 8
    
  • The latest version of Node.js 8.14 (8.14.0)

    inspecode:
      experimental:
        runtime:
          nodejs: 8.14
    
  • Node.js 8.14.0

    inspecode:
      experimental:
        runtime:
          nodejs: 8.14.0
    

results matching ""

    No results matching ""